Open CASCADE Technology: BOPAlgo_ArgumentAnalyzer Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Member Functions
BOPAlgo_ArgumentAnalyzer Class Reference

check the validity of argument(s) for Boolean Operations More...

`#include <BOPAlgo_ArgumentAnalyzer.hxx>`

## Public Member Functions
| BOPAlgo_ArgumentAnalyzer ()
| empty constructor More...
void | SetShape1 (const TopoDS_Shape &TheShape)
| sets object shape More...
void | SetShape2 (const TopoDS_Shape &TheShape)
| sets tool shape More...
const TopoDS_Shape & | GetShape1 () const
| returns object shape; More...
const TopoDS_Shape & | GetShape2 () const
| returns tool shape More...
BOPAlgo_Operation & | OperationType ()
| returns ref More...
Standard_Boolean & | StopOnFirstFaulty ()
| returns ref More...
Standard_Boolean & | ArgumentTypeMode ()
| Returns (modifiable) mode that means checking types of shapes. More...
Standard_Boolean & | SelfInterMode ()
| Returns (modifiable) mode that means checking of self-intersection of shapes. More...
Standard_Boolean & | SmallEdgeMode ()
| Returns (modifiable) mode that means checking of small edges. More...
Standard_Boolean & | RebuildFaceMode ()
| Returns (modifiable) mode that means checking of possibility to split or rebuild faces. More...
Standard_Boolean & | TangentMode ()
| Returns (modifiable) mode that means checking of tangency between subshapes. More...
Standard_Boolean & | MergeVertexMode ()
| Returns (modifiable) mode that means checking of problem of merging vertices. More...
Standard_Boolean & | MergeEdgeMode ()
| Returns (modifiable) mode that means checking of problem of merging edges. More...
Standard_Boolean & | ContinuityMode ()
| Returns (modifiable) mode that means checking of problem of continuity of the shape. More...
Standard_Boolean & | CurveOnSurfaceMode ()
| Returns (modifiable) mode that means checking of problem of invalid curve on surface. More...
void | Perform ()
| performs analysis More...
Standard_Boolean | HasFaulty () const
| result of test More...
const BOPAlgo_ListOfCheckResult & | GetCheckResult () const
| returns a result of test More...

## Protected Member Functions
void | Prepare ()
| Prepares data;. More...
void | TestTypes ()
void | TestSelfInterferences ()
void | TestSmallEdge ()
void | TestRebuildFace ()
void | TestTangent ()
void | TestMergeSubShapes (const TopAbs_ShapeEnum theType)
void | TestMergeVertex ()
void | TestMergeEdge ()
void | TestContinuity ()
void | TestCurveOnSurface ()

## Detailed Description

check the validity of argument(s) for Boolean Operations

## Constructor & Destructor Documentation

BOPAlgo_ArgumentAnalyzer::BOPAlgo_ArgumentAnalyzer | ( |  | ) |

empty constructor

## Member Function Documentation

Standard_Boolean& BOPAlgo_ArgumentAnalyzer::ArgumentTypeMode | ( |  | ) |

Returns (modifiable) mode that means checking types of shapes.

Standard_Boolean& BOPAlgo_ArgumentAnalyzer::ContinuityMode | ( |  | ) |

Returns (modifiable) mode that means checking of problem of continuity of the shape.

Standard_Boolean& BOPAlgo_ArgumentAnalyzer::CurveOnSurfaceMode | ( |  | ) |

Returns (modifiable) mode that means checking of problem of invalid curve on surface.

const BOPAlgo_ListOfCheckResult& BOPAlgo_ArgumentAnalyzer::GetCheckResult | ( |  | ) | const

returns a result of test

const TopoDS_Shape& BOPAlgo_ArgumentAnalyzer::GetShape1 | ( |  | ) | const

returns object shape;

const TopoDS_Shape& BOPAlgo_ArgumentAnalyzer::GetShape2 | ( |  | ) | const

returns tool shape

Standard_Boolean BOPAlgo_ArgumentAnalyzer::HasFaulty | ( |  | ) | const

result of test

Standard_Boolean& BOPAlgo_ArgumentAnalyzer::MergeEdgeMode | ( |  | ) |

Returns (modifiable) mode that means checking of problem of merging edges.

Standard_Boolean& BOPAlgo_ArgumentAnalyzer::MergeVertexMode | ( |  | ) |

Returns (modifiable) mode that means checking of problem of merging vertices.

BOPAlgo_Operation& BOPAlgo_ArgumentAnalyzer::OperationType | ( |  | ) |

returns ref

void BOPAlgo_ArgumentAnalyzer::Perform | ( |  | ) |

performs analysis

void BOPAlgo_ArgumentAnalyzer::Prepare | ( |  | ) |
| protected

Prepares data;.

Standard_Boolean& BOPAlgo_ArgumentAnalyzer::RebuildFaceMode | ( |  | ) |

Returns (modifiable) mode that means checking of possibility to split or rebuild faces.

Standard_Boolean& BOPAlgo_ArgumentAnalyzer::SelfInterMode | ( |  | ) |

Returns (modifiable) mode that means checking of self-intersection of shapes.

void BOPAlgo_ArgumentAnalyzer::SetShape1 | ( | const TopoDS_Shape & | TheShape | ) |

sets object shape

void BOPAlgo_ArgumentAnalyzer::SetShape2 | ( | const TopoDS_Shape & | TheShape | ) |

sets tool shape

Standard_Boolean& BOPAlgo_ArgumentAnalyzer::SmallEdgeMode | ( |  | ) |

Returns (modifiable) mode that means checking of small edges.

Standard_Boolean& BOPAlgo_ArgumentAnalyzer::StopOnFirstFaulty | ( |  | ) |

returns ref

Standard_Boolean& BOPAlgo_ArgumentAnalyzer::TangentMode | ( |  | ) |

Returns (modifiable) mode that means checking of tangency between subshapes.

void BOPAlgo_ArgumentAnalyzer::TestContinuity | ( |  | ) |
| protected

void BOPAlgo_ArgumentAnalyzer::TestCurveOnSurface | ( |  | ) |
| protected

void BOPAlgo_ArgumentAnalyzer::TestMergeEdge | ( |  | ) |
| protected

void BOPAlgo_ArgumentAnalyzer::TestMergeSubShapes | ( | const TopAbs_ShapeEnum | theType | ) |
| protected

void BOPAlgo_ArgumentAnalyzer::TestMergeVertex | ( |  | ) |
| protected

void BOPAlgo_ArgumentAnalyzer::TestRebuildFace | ( |  | ) |
| protected

void BOPAlgo_ArgumentAnalyzer::TestSelfInterferences | ( |  | ) |
| protected

void BOPAlgo_ArgumentAnalyzer::TestSmallEdge | ( |  | ) |
| protected

void BOPAlgo_ArgumentAnalyzer::TestTangent | ( |  | ) |
| protected

void BOPAlgo_ArgumentAnalyzer::TestTypes | ( |  | ) |
| protected

The documentation for this class was generated from the following file:

- BOPAlgo_ArgumentAnalyzer.hxx